import os
import ast
import sys
import random
import json
import product_gen.generate_product

from argparse import ArgumentParser

if __name__ == "__main__":
    
    argv = sys.argv
    argv = argv[argv.index("--") + 1:]
    shape_params = json.loads(argv[0])
    shape = shape_params['shape']
    output = shape_params['output']
    
    if not os.path.exists(os.getcwd() + "/" + output):
        os.makedirs(os.getcwd() + "/" + output)
        
    height = float(shape_params["height"])
    radius = float(shape_params["radius"])
    color = ast.literal_eval(shape_params["color"])
    print(color[0])
    product_gen.generate_product.generate(shape, height, radius, 
                                       color, output, is_final=True)
