import bpy

def initialize_scene():
    
    # Set up scene
    objs = bpy.data.objects
    bpy.data.scenes['Scene'].objects.unlink(objs["Cube"])
    objs.remove(objs["Cube"])    
            
def setup_scene(): 
    
    # Set up world
    bpy.context.scene.world.use_sky_paper = True
    bpy.context.scene.world.horizon_color = (0.95, 0.95, 0.95)
    #bpy.context.scene.world.light_settings.use_environment_light = True
    
    # Set up lamps and cameras
    bpy.data.objects["Lamp"].location = bpy.data.objects["Camera"].location
    bpy.data.objects["Lamp"].delta_location = (-3, 0, -3)
    #bpy.data.objects["Lamp"].type = "POINT"
    bpy.data.objects["Lamp"].name = "front"